import { DEFAULT_STATE } from "./state.js";
import { initAnimationDuration } from "./animation.js";
import { initNumberParser } from "./number-parser.js";
import { initChartLayout } from "./chart-layout.js";
import { initXDisabled } from "./x-disabled.js";
import { initYDisabled } from "./y-disabled.js";
import { initXExtendByStep } from "./x-extend-by-step.js";
import { initYExtendByStep } from "./y-extend-by-step.js";
import { initUpdate } from "./update.js";
import { initFacetName } from "./facet-name.js";
import { initAppendTo } from "./append-to.js";
import { initFontFamily } from "./font-family.js";
import { initAppendPatternsTo } from "./append-patterns-to.js";
import { initOffset } from "./offset.js";

function init(state) {
	for (const key in DEFAULT_STATE) {
		if (state[key] === undefined) state[key] = DEFAULT_STATE[key];
	}

	const instance = {};
	initAnimationDuration(instance);
	initNumberParser(instance);
	initAppendTo(instance);
	initChartLayout(instance);
	initXDisabled(instance);
	initYDisabled(instance);
	initXExtendByStep(instance);
	initYExtendByStep(instance);
	initFacetName(instance);
	initFontFamily(instance);
	initAppendPatternsTo(instance);
	initOffset(instance);
	initUpdate(instance, state);

	return instance;
}
export default init;
