
export function getTypeFromChartLayout (data) {
	switch (true) {
		case (data.string_array):
			return "string";
		case (data.numeric_array):
			return "number";
		case (data.datetime_array):
			return "datetime";
		default:
			return "no type found";
	}
}

var window_width, base_size;

function remToPx(rem) {
	if (window.innerWidth !== window_width) {
		window_width = window.innerWidth;
		base_size = parseFloat(getComputedStyle(document.documentElement).fontSize);
	}
	return rem * base_size;
}

function isTextRtl () {
	return document.body.getAttribute("dir") === "rtl";
}

function getColorOrTexture (d, texture_type, x_or_y) {
	if (texture_type === "none") return d.area_color;
	else if (d.custom_pattern_i !== null) return `url(#fl-pattern-custom-${d.custom_pattern_i})`;
	else return `url(#${texture_type}-${x_or_y})`;
}

export { remToPx, getColorOrTexture, isTextRtl};
